import "./stringExtensions";
import { GenerateApiResponse } from "./responseTypes";
export declare abstract class BaseApiClient {
    private readonly generateConnector;
    constructor(generateConnector: string);
    protected internalFetch<ResponseType extends GenerateApiResponse>(endpoint: string, body: string, headers?: HeadersInit): Promise<ResponseType>;
    private validateResponse;
}
