export {};

declare global {
    interface String {
        extendUri(extender: string): string;
    }
}

String.prototype.extendUri = function (extender: string): string {
    if (extender.startsWith("/")) {
        extender = extender.substring(1);
    }
    return this.endsWith("/") ? this + extender : `${this}/${extender}`;
};
